import { TelegramClient, type TelegramClientOptions } from '@mtcute/node'
import { getEnv } from './misc.ts'

export function createTg(session: string, extra?: Partial<TelegramClientOptions>) {
  return new TelegramClient({
    apiId: getEnv('TELEGRAM_API_ID', Number),
    apiHash: getEnv('TELEGRAM_API_HASH'),
    storage: `assets/${session}.session`,
    ...extra,
  })
}
